Discussion:
Bug#867552: corebird: Corebird trap after succesful authorization
(too old to reply)
Daniel Franganillo
2017-07-07 10:00:02 UTC
Permalink
Raw Message
Package: corebird
Version: 1.5-1
Severity: important

Corebird segfaults after initialization.

Settings schema 'org.baedert.corebird' does not contain a key named
'media-visibility'

Even though:

#~ cat /usr/share/glib-2.0/schemas/org.baedert.corebird.gschema.xml | grep
media-
<enum id="org.baedert.corebird.media-visibility">
<key name="max-media-size" type="d">
<key name="media-visibility"
enum="org.baedert.corebird.media-visibility">

I tried reseting the schema with: dconf reset -f /org/baedert/ with no luck.

Thanks.

-- System Information:
Debian Release: buster/sid
APT prefers unstable
APT policy: (990, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.11.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8) (ignored:
LC_ALL set to es_ES.UTF-8), LANGUAGE=es_ES.UTF-8 (charmap=UTF-8) (ignored:
LC_ALL set to es_ES.UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages corebird depends on:
ii dconf-gsettings-backend [gsettings-backend] 0.26.0-2+b1
ii gstreamer1.0-plugins-good 1.12.1-1
ii libatk1.0-0 2.22.0-1
ii libc6 2.24-12
ii libcairo2 1.14.10-1
ii libgdk-pixbuf2.0-0 2.36.5-2
ii libglib2.0-0 2.52.3-1
ii libgspell-1-1 1.2.3-1
ii libgstreamer1.0-0 1.12.1-2
ii libgtk-3-0 3.22.16-1
ii libjson-glib-1.0-0 1.2.8-1
ii libpango-1.0-0 1.40.6-1
ii librest-0.7-0 0.8.0-2
ii libsoup2.4-1 2.56.0-2
ii libsqlite3-0 3.19.3-2

Versions of packages corebird recommends:
ii gstreamer1.0-plugins-bad 1:1.12.1-dmo1

corebird suggests no packages.

-- no debconf information
--
Daniel Franganillo
Philip Rinn
2017-07-17 11:20:02 UTC
Permalink
Raw Message
Control: forwarded -1 https://github.com/baedert/corebird/issues/749
Control: tags -1 upstream

Hi Daniel,

I forwarded the bug upstream and got the hint so try to recompile the schemas with

glib-compile-schemas

Could you try if it helps? I can't do it myself as I can't reproduce the bug.

Best,
Philip
Philip Rinn
2017-07-17 12:50:02 UTC
Permalink
Raw Message
Hi Daniel,

could you also check this (copied from upstram bug tracker):

Another issue could be that the org.baedert.corebird.gschemas.xml file exists both
in /usr/share/glib-2.0/schemas and /usr/local/share/glib-2.0/schemas, but the one
in /usr/local/ is old and does not contain that settings key.

Best,
Philip
Daniel Franganillo
2017-07-17 13:20:01 UTC
Permalink
Raw Message
Hi,
I've got no org.baedert.corebird.gschemas.xml in that location.
Thanks
Post by Philip Rinn
Hi Daniel,
Another issue could be that the org.baedert.corebird.gschemas.xml file exists both
in /usr/share/glib-2.0/schemas and /usr/local/share/glib-2.0/schemas, but the one
in /usr/local/ is old and does not contain that settings key.
Best,
Philip
--
Daniel Franganillo
Loading...